Subject: bug#31069: emacs-smartparens: sp-forward-barf-sexp broken

From: Christopher Lemmer Webber <[email-masked]>
Date: Wed, 18 Apr 2018 18:34:03 -0500

Thorsten Wilms writes:

> On 07.04.2018 17:19, Alex Kost wrote:
>
>> Sorry, I don't know what could cause your problem.  My only idea is
>> maybe you have some mixed (incompatible) packages both from Guix and
>> from (M)ELPA (for example, "dash.el" from Melpa and "smartparens" from
>> Guix).  Look at "M-x list-load-path-shadows".
>
> No worries, thanks for your input!
>
> There's nothing here that wasn't installed via guix.
> list-load-path-shadows says:
>
> /home/thorwil/.guix-profile/share/emacs/site-lisp/site-start hides
> /gnu/store/6cflji7h6y0v15dvnccv7paaa7894gdc-emacs-25.3/share/emacs/site-lisp/site-start
> /home/thorwil/.guix-profile/share/emacs/site-lisp/guix-emacs hides
> /gnu/store/6cflji7h6y0v15dvnccv7paaa7894gdc-emacs-25.3/share/emacs/site-lisp/guix-emacs
>
>
> So far all this happened on Ubuntu with just Emacs and packages for it
> installed via guix. Now I tried what happens on Guix SD, with
> emacs-smartparens as only Emacs package, run in the shell, no
> init.el. After just M-x smartparens-mode, again: slurp works, barf
> doesn't.
>
> I would conclude that this is a direct smartparens bug, if it wasn't
> for your report of having it working (which I do not doubt).

I have the same problem BTW.  It started happening after a recent
upgrade.